> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nevua.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a webhook

> Soft-deletes a webhook by setting active to false.




## OpenAPI

````yaml openapi.json delete /demo/webhooks/{id}
openapi: 3.0.0
info:
  title: Nevua Markets API
  version: 0.0.1
  license:
    name: ISC
    url: https://opensource.org/licenses/ISC
servers:
  - url: https://api.nevua.markets
    description: Production
security: []
tags: []
paths:
  /demo/webhooks/{id}:
    delete:
      tags:
        - Demo
      summary: Delete a webhook
      description: |
        Soft-deletes a webhook by setting active to false.
      operationId: demoDeleteWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The webhook document _id
      responses:
        '200':
          description: Webhook deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '400':
          description: Invalid id format
        '401':
          description: Unauthorized
        '404':
          description: Webhook not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````